Mailinglist Archive: opensuse-updates (124 mails)

< Previous Next >
openSUSE-SU-2017:1966-1: moderate: Security update for containerd, docker, runc
openSUSE Security Update: Security update for containerd, docker, runc
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:1966-1
Rating: moderate
References: #1004490 #1009961 #1012568 #1015661 #1016307
#1019251 #988408
Cross-References: CVE-2016-9962
Affected Products:
openSUSE Leap 42.2
openSUSE Leap 42.1
______________________________________________________________________________

An update that solves one vulnerability and has 6 fixes is
now available.

Description:


This update for
- containerd,
- docker to version 1.12.6 and
- runc fixes several issues.

This security issues was fixed:

- CVE-2016-9962: container escape vulnerability (bsc#1012568).

Thsese non-security issues were fixed:

- boo#1019251: Add a delay when starting docker service
- Fixed bash-completion
- boo#1015661: add the /usr/bin/docker-run symlink

For additional details please see the changelog.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-181=1

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2017-181=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (x86_64):

containerd-0.2.5+gitr569_2a5e70c-8.1
containerd-ctr-0.2.5+gitr569_2a5e70c-8.1
containerd-ctr-debuginfo-0.2.5+gitr569_2a5e70c-8.1
containerd-debuginfo-0.2.5+gitr569_2a5e70c-8.1
containerd-debugsource-0.2.5+gitr569_2a5e70c-8.1
docker-1.12.6-25.2
docker-debuginfo-1.12.6-25.2
docker-debugsource-1.12.6-25.2
docker-test-1.12.6-25.2
docker-test-debuginfo-1.12.6-25.2
runc-0.1.1+gitr2819_50a19c6-8.1
runc-debuginfo-0.1.1+gitr2819_50a19c6-8.1
runc-debugsource-0.1.1+gitr2819_50a19c6-8.1

- openSUSE Leap 42.2 (noarch):

containerd-test-0.2.5+gitr569_2a5e70c-8.1
docker-bash-completion-1.12.6-25.2
docker-zsh-completion-1.12.6-25.2
runc-test-0.1.1+gitr2819_50a19c6-8.1

- openSUSE Leap 42.1 (i586 x86_64):

containerd-0.2.5+gitr569_2a5e70c-10.1
containerd-ctr-0.2.5+gitr569_2a5e70c-10.1
containerd-ctr-debuginfo-0.2.5+gitr569_2a5e70c-10.1
containerd-debuginfo-0.2.5+gitr569_2a5e70c-10.1
containerd-debugsource-0.2.5+gitr569_2a5e70c-10.1
runc-0.1.1+gitr2819_50a19c6-10.1
runc-debuginfo-0.1.1+gitr2819_50a19c6-10.1
runc-debugsource-0.1.1+gitr2819_50a19c6-10.1

- openSUSE Leap 42.1 (noarch):

containerd-test-0.2.5+gitr569_2a5e70c-10.1
docker-bash-completion-1.12.6-27.1
docker-zsh-completion-1.12.6-27.1
runc-test-0.1.1+gitr2819_50a19c6-10.1

- openSUSE Leap 42.1 (x86_64):

docker-1.12.6-27.1
docker-debuginfo-1.12.6-27.1
docker-debugsource-1.12.6-27.1
docker-test-1.12.6-27.1
docker-test-debuginfo-1.12.6-27.1


References:

https://www.suse.com/security/cve/CVE-2016-9962.html
https://bugzilla.suse.com/1004490
https://bugzilla.suse.com/1009961
https://bugzilla.suse.com/1012568
https://bugzilla.suse.com/1015661
https://bugzilla.suse.com/1016307
https://bugzilla.suse.com/1019251
https://bugzilla.suse.com/988408


< Previous Next >
This Thread
  • No further messages